Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.faces.webflow
Class FlowRenderKit

    java.lang.Object
      javax.faces.render.RenderKit
          javax.faces.render.RenderKitWrapper
              org.springframework.faces.webflow.FlowRenderKit

All Implemented Interfaces:
  javax.faces.FacesWrapper<javax.faces.render.RenderKit>

    public class FlowRenderKit

extends javax.faces.render.RenderKitWrapper

Constructor Summary
`FlowRenderKit(javax.faces.render.RenderKit delegate)`

Method Summary
`javax.faces.render.ResponseStateManager` | `getResponseStateManager()` Returns an instance of `FlowViewResponseStateManager` in a JSF 2 environment or returns the delegates's ResponseStateManager instance otherwise.
`javax.faces.render.RenderKit` | `getWrapped()`

Methods inherited from class javax.faces.render.RenderKitWrapper
`addClientBehaviorRenderer, addRenderer, createResponseStream, createResponseWriter, getClientBehaviorRenderer, getClientBehaviorRendererTypes, getComponentFamilies, getRenderer, getRendererTypes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FlowRenderKit

    public FlowRenderKit(javax.faces.render.RenderKit delegate)

Method Detail

### getWrapped

    public javax.faces.render.RenderKit getWrapped()

  Specified by:
    `getWrapped` in interface `javax.faces.FacesWrapper<javax.faces.render.RenderKit>`
  Overrides:
    `getWrapped` in class `javax.faces.render.RenderKitWrapper`

### getResponseStateManager

    public javax.faces.render.ResponseStateManager getResponseStateManager()

  Returns an instance of `FlowViewResponseStateManager` in a JSF 2 environment or returns the delegates's ResponseStateManager instance otherwise.

  Overrides:
    `getResponseStateManager` in class `javax.faces.render.RenderKitWrapper`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD